Skip to main content
POST
/
v1
/
vehicles
/
{vehicle_id}
/
command-execution:close-charge-port
Action Close Charge Port
curl --request POST \
  --url https://api.volteras.com/v1/vehicles/{vehicle_id}/command-execution:close-charge-port \
  --header 'Authorization: Bearer <token>'
{
  "vehicleId": "<string>",
  "id": "<string>",
  "commandArguments": {},
  "timeout": 123,
  "executedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.volteras.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

vehicle_id
string
required

Unique internal identifier for the vehicle.

Response

200 - application/json

Successful Response

vehicleId
string
required
command
enum<string>
required

Enum for available commands.

Available options:
WAKE_UP,
UNLOCK_DOORS,
LOCK_DOORS,
HONK_HORN,
FLASH_LIGHTS,
START_HVAC_SYSTEM,
CLIMATE_ON,
CLIMATE_OFF,
SET_TEMPERATURE,
SET_CHARGE_LIMIT,
ACTUATE_FRONT_TRUNK,
ACTUATE_REAR_TRUNK,
OPEN_CHARGE_PORT,
CLOSE_CHARGE_PORT,
START_CHARGING,
STOP_CHARGING,
SET_VEHICLE_NAME,
SCHEDULE_SOFTWARE_UPDATE,
CANCEL_SOFTWARE_UPDATE,
WINDOW_HEATING_ON,
WINDOW_HEATING_OFF
id
string | null
commandArguments
Commandarguments · object
timeout
integer | null
executedAt
string<date-time> | null
status
enum<string> | null

Enum for command execution status.

Available options:
PENDING,
EXECUTED,
FAILED
failedReason
enum<string>

The reason the command failed to execute. Should be one of the codes listed in the enum, but may in some cases be a plain string.

Available options:
OEM_UNKNOWN_ERROR,
OEM_TIMEOUT,
OEM_UNAVAILABLE,
OEM_NETWORK_ERROR,
OEM_INCORRECT_REGION,
OEM_APP_REQUIRED_UPDATE,
OEM_USER_ACCOUNT_LOCKED,
OEM_OAUTH_TOKEN_EXPIRED,
OEM_VEHICLE_OFFLINE,
OEM_VEHICLE_REMOTE_ACCESS_DISABLED,
OEM_VEHICLE_LOCATION_SHARING_DISABLED,
OEM_AUTH_DRIVER_IS_NOT_PRIMARY_USER,
OEM_DEVICE_NOT_FOUND,
OEM_COMMAND_TIMEOUT,
OEM_COMMAND_FAILED,
OEM_RATE_LIMITED,
OEM_ACCOUNT_RATE_LIMITED,
OEM_DEVICE_RATE_LIMITED,
OEM_STOP_CHARGE_RATE_LIMITED,
OEM_COMMANDS_RATE_LIMITED,
OEM_VEHICLE_LOCATION_UNKNOWN,
OEM_VEHICLE_NOT_IN_AUTHORIZED_LOCATION,
OEM_VEHICLE_CHARGING_NOT_FINISHED,
OEM_VEHICLE_CHARGING_NOT_STOPPED,
OEM_VEHICLE_CHARGING_NOT_STARTED,
OEM_VEHICLE_CHARGING_NOT_PAUSED,
OEM_VEHICLE_CHARGING_REFUSED_PLAY_PROTECTION,
OEM_COMMAND_REFUSED_OTHER_SERVICE_RUNNING,
OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_STAND_STILL_AND_RESTING_STATE,
OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_STAND_STILL_AND_ACTIVE_STATE,
OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_DRIVING_OR_READY_TO_DRIVE,
OEM_COMMAND_REFUSED_VEHICLE_AWAKE_IN_DIAGNOSTICS_MODE,
SERVER_ERROR,
INTERNAL_RATE_LIMITED,
AUTHENTICATION_ERROR,
NOT_PERMITTED